<template>
  <div
    class="fixed inset-0 bg-black z-100 bg-opacity-50"
    @click="closeModal"
  >
    <div class="px-5 mt-44 max-w-quiz mx-auto" @click.stop>
      <div class="bg-white rounded-lg p-5 space-y-3">
        <common-btn
          text="Take photo"
          @click="takePhoto"
        />
        <common-btn-outline
          text="Upload photo"
          @click="uploadPhoto"
        />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "TakePhotoOptionsModal",
  methods: {
    closeModal() {
      this.$emit('close')
    },
    takePhoto() {
      this.closeModal()
    },
    uploadPhoto() {
      this.$emit('upload')
      this.closeModal()
    },
  }
}
</script>

<style scoped>

</style>
